/*
 * CodePress regular expressions for JavaScript syntax highlighting
 */
 
Language.syntax = [ // JavaScript
	{ 
	input : /\"(.*?)(\"|<br>|<\/P>)/g, 
	output : '<s>"$1$2</s>' // strings double quote
	},{ 
	input : /\b(auto|break|case|char|const|continue|default|do1double|else|enum|extern|float|for|goto|if|int|long|register|return|short|signed|sizeof|static|struct|switch|typedef|union|unsigned|void|volatile|while)\b/g,
	output : '<b>$1</b>' // reserved words
	},{ 
	input : /(#define|#error|#if|#elif|#else|#endif|#ifdef|#ifndef|#import|#include|#line|#undef|#pragma)/g,
	output : '<b>$1</b>' // directive words
	},{ 
	input : /\b(assert|isalnum|isalpha|iscntrl|isdigit|isgraph|islower|isprint|ispunct|isspace|isupper|isxdigit|toupper|tolower|errnsetlocale|acos|asin|atan|atan2|ceil|cos|cosh|exp|fabs|floor|fmod|frexp|ldexp|log|log10|modf|pow|sin|sinh|sqrt|tan|tanh|longjmp|setjmp|raise|signal|va_end|va_arg|va_start|clearerr|fclose|feof|fflush|fgetc|fgetpos|fgets|fopen|fprintf|fputc|fputs|fread|freopen|fscanf|fseek|fsetpos|ftell|fwrite|getc|getchar|gets|perror|printf|putchar|puts|remove|rewind|scanf|setbuf|setvbuf|sprintf|sscanf|tmpfile|tmpnam|ungetc|vfprintf|vprintf|vsprintf|abort|abs|atexit|atof|atoi|atol|bsearch|calloc|div|exit|getenv|free|labs|ldiv|malloc|mblen|mbstowcs|mbtowc|qsort|rand|realloc|strtod|strtol|strtoul|srand|system|wctomb|wcstombs|memchr|memcmp|memcpy|memmove|memset|strcat|strchr|strcmp|strcoll|strcpy|strcspn|strerror|strlen|strncat|strncmp|strncpy|strpbrk|strrchr|strspn|strstr|strtok|strxfrm|asctime|clock|ctime|difftime|gmtime|localtime|mktime|strftime|time)\b/g,
	output : '<u>$1</u>' // functions
	},{
	input : /([^:]|^)\/\/(.*?)(<br|<\/P)/g,
	output : '$1<i>//$2</i>$3' // comments //
	},{ 
	input : /\/\*(.*?)\*\//g,
	output : '<i>/*$1*/</i>' // comments /* */
	}
]

Language.snippets = [
	{ input : 'if', output : 'if($0){\n\t\n}' },
	{ input : 'ifelse', output : 'if($0){\n\t\n}\nelse{\n\t\n}' },
	{ input : 'else', output : '}\nelse {\n\t' },
	{ input : 'elseif', output : '}\nelseif($0) {\n\t' },
	{ input : 'do', output : 'do{\n\t$0\n}\nwhile();' },
	{ input : 'inc', output : 'include_once("$0");' },
	{ input : 'fun', output : 'function $0(){\n\t\n}' },	
	{ input : 'func', output : 'function $0(){\n\t\n}' },	
	{ input : 'while', output : 'while($0){\n\t\n}' },
	{ input : 'for', output : 'for($0,,){\n\t\n}' },
	{ input : 'fore', output : 'foreach($0 as ){\n\t\n}' },
	{ input : 'foreach', output : 'foreach($0 as ){\n\t\n}' },
	{ input : 'echo', output : 'echo \'$0\';' },
	{ input : 'switch', output : 'switch($0) {\n\tcase "": break;\n\tdefault: ;\n}' },
	{ input : 'case', output : 'case "$0" : break;' },
	{ input : 'ret0', output : 'return false;' },
	{ input : 'retf', output : 'return false;' },
	{ input : 'ret1', output : 'return true;' },
	{ input : 'rett', output : 'return true;' },
	{ input : 'ret', output : 'return $0;' },
	{ input : 'def', output : 'define(\'$0\',\'\');' }
];

Language.complete = [ // Auto complete only for 1 character
	{input : '\'',output : '\'$0\'' },
	{input : '"', output : '"$0"' },
	{input : '(', output : '\($0\)' },
	{input : '[', output : '\[$0\]' },
	{input : '{', output : '{\n\t$0\n}' }		
];

Language.shortcuts = [];